Summary: Desktop print icon
Name: desktop-printing
Version: 0.20
Release: %mkrel 6
License: GPLv2+
Group: Publishing
Source0: http://ftp.gnome.org/pub/GNOME/sources/eggcups/%version/eggcups-%{version}.tar.bz2
Source1: print-applet.desktop
# (fc) 0.20-2mdv fix crash with recent dbus (Mdv bug #27996)
Patch0: eggcups-0.20-fixdbus.patch
# (fc) 0.20-4mdv quit when restore from session manager, use gnome autostart feature instead (Mdv bug #34401)
Patch2: eggcups-0.20-disablesessionrestore.patch
# (fc) 0.20-4mdv autohide notification icon after 30s when queue is empty
Patch3: eggcups-0.20-autohide.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Requires: hal-cups-utils
Requires: dbus-x11

BuildRequires: libgnomeui2-devel, dbus-devel >= 0.60
BuildRequires: hal-devel
BuildRequires: libglade2.0-devel
BuildRequires: desktop-file-utils, intltool, cups-devel
BuildRequires: libgnomecups-devel >= 0.1.12
BuildRequires: gnome-keyring-devel
BuildRequires: libxscrnsaver-devel

%description
Desktop-printing contains eggcups, a program for user print job
notification and control.

%prep
%setup -q -c
cd eggcups-%{version}
%patch0 -p1 -b .fixdbus
%patch2 -p1 -b .disablesessionrestore
%patch3 -p1 -b .autohide

%build
pushd eggcups-%{version}
%configure2_5x --with-session-cupsd=no

%make

popd

%install
rm -rf $RPM_BUILD_ROOT

pushd eggcups-%{version}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
popd

desktop-file-install --add-only-show-in=GNOME  --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Settings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-default-printer.desktop

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/eggcups/cupsd.conf $RPM_BUILD_ROOT%{_datadir}/eggcups/server-root

%find_lang eggcups

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/printer-applet.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas eggcups

%post
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_icon_cache hicolor

%files -f eggcups.lang
%defattr(-, root, root)
%{_bindir}/eggcups
%{_bindir}/gnome-default-printer
%{_datadir}/eggcups
%{_datadir}/applications/gnome-default-printer.desktop
%{_datadir}/gnome/autostart/printer-applet.desktop
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/gconf/*


%changelog
* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 0.20-6mdv2008.1
+ Revision: 155264
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-4mdv2008.0
+ Revision: 94922
- Patch2: quit when restoring from session manager, use gnome autostart feature instead (Mdv bug #34401)
- Patch3: autohide notification icon after 30s when queue is empty
- Don't install session cups files (no used)

* Thu Sep 13 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-3mdv2008.0
+ Revision: 85282
- Add .desktop for xdg autostart for GNOME


* Tue Jan 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-2mdv2007.0
+ Revision: 106709
- Patch0: fix crash with recent dbus (Mdv bug #27996)

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20-1mdv2007.1
+ Revision: 102262
- Release 0.20
  Remove all patches, merged upstream
  Fix .desktop file category

* Wed Nov 01 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.19-5mdv2007.1
+ Revision: 75003
- add BuildRequires: libxscrnsaver-devel
- Import desktop-printing

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.19-4mdv2007.0
- Patch2: don't use dbus deprecated api
- use mkrel
- use macros

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.19-3mdk
- Patch0 (Fedora): fix build with latest dbus
- Patch1 (Fedora): fix crash when plugging printer

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-2mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 0.19-1mdk
- Release 0.19

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-4mdk 
- Drop explicit cups dependency

* Fri Feb 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.18-3mdk
- fix buildrequires

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-2mdk 
- Requires dbus-x11 (for user dbus started at login)

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-1mdk 
- Release 0.18
- Remove patches 1, 2, 3, 4 (merged upstream)

* Tue Nov 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk 
- Initial Mdk package

* Tue Nov 02 2004 Colin Walters <walters@redhat.com> 0.17-4
- BR hal-devel (bug #137543)
- Add patch eggcups-use-printer-uri.patch (Bug #134292)

* Sun Oct 24 2004 John (J5) Palmieri <johnp@redhat.com> 0.17-3
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)

* Sat Oct 16 2004 Colin Walters <walters@redhat.com> 0.17-2
- Backport patches from CVS:
  - eggcups-int-gsize.patch (fixes type conflict on x86_64)
  - eggcups-no-help.patch (rh bug 135919)

* Thu Oct 14 2004 John (J5) Palmieri <johnp@redhat.com> 0.17-1
- Updated to new upstream 0.17

* Fri Oct 08 2004 Colin Walters <walters@redhat.com> 0.16-2
- BR gnome-keyring-devel, libgnomecups-devel

* Thu Oct 07 2004 Colin Walters <walters@redhat.com> 0.16-1
- Update to new upstream 0.16.
- Drop upstreamed eggcups-0.15.2-gconf-printer-fix.patch

* Tue Oct 05 2004 John (J5) Palmieri <johnp@redhat.com> 0.15.2-2
- Added patch that fixes the values placed in gconf for
  configuring printer.
  - Values now represent the make and model the user selected
    and not what hal reports

* Fri Oct 01 2004 Colin Walters <walters@redhat.com> 0.15.2-1
- Update to new upstream 0.15.2:
  - Does not crash when run as root
  - Does not crash if you have no printers (workaround HAL bug)

* Thu Sep 30 2004 Colin Walters <walters@redhat.com> 0.15-1
- Update to new upstream 0.15
- Make files section more strict, include new files

* Sun Sep 26 2004 Colin Walters <walters@redhat.com> 0.14.1-1
- Update to new upstream 0.14.1
  + Fix from John Palmieri for bug 133567

* Fri Sep 24 2004 Colin Walters <walters@redhat.com> 0.14-1
- Update to new upstream 0.14
  + Try to re-set drivers on startup
  + Avoid multiple copies by using DBus activation

* Tue Sep 21 2004 Colin Walters <walters@redhat.com> 0.13-1
- Update to new upstream 0.13
  + Fixes polling of local printers

* Wed Sep 15 2004 Colin Walters <walters@redhat.com> 0.12-1
- Update to new upstream 0.12
  + Fixes several serious bugs in driver prompt
  + Also installs policy to make sure we do not get kicked
    off D-BUS
- Disable GConf schema install

* Wed Sep 08 2004 Colin Walters <walters@redhat.com> 0.11
- Update to new upstream 0.11
  + Makes printer driver prompt actually work

* Thu Sep 02 2004 Colin Walters <walters@redhat.com> 0.10.2-3
- Remove removal of eggcups.desktop.
- Install eggcups-upgrade.desktop in session-upgrades directory to ensure
  eggcups runs in the user session after an upgrade.

* Thu Sep 02 2004 Colin Walters <walters@redhat.com> 0.10.2-2
- Require dbus-x11 until gdm can do it.

* Wed Sep 01 2004 Colin Walters <walters@redhat.com> 0.10-1
- Update to 0.10.1
- Enable session CUPS daemon
- Require hal-cups-utils per j5 request
- Nuke eggcups_version variable, just use version
- Remove unneeded deps on perl, gnome-utils, file
- Remove upstreamed dbus-header-fix patch

* Fri Aug 13 2004 Colin Walters <walters@redhat.com> 0.9.5-3
- Require dbus 0.22

* Thu Aug 05 2004 Colin Walters <walters@redhat.com> 0.9.5-2
- Kill off tryprint.pl
- Fix description to reflect current reality
- TODO: kill off this package entirely and just put eggcups
  in its own package.  If importing a new package wasn't
  so annoying...

* Sat Jul 31 2004 Colin Walters <walters@redhat.com> 0.9.5-1
- Update to 0.9.5
- Add patch to fix header checks
- Bump dbus requirement

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> 0.9.4-1
- Update eggcups to 0.9.4

* Tue Jun 22 2004 Colin Walters <walters@redhat.com> 0.9.3-1
- Update eggcups to 0.9.3
- Require newer libgnomecups

* Sat Jun 19 2004 Matthias Clasen <mclasen@redhat.com> 0.9.2-1
- Update eggcups to 0.9.2
- Require newer libgnomecups

* Wed Jun 16 2004 Colin Walters <walters@redhat.com> 0.9.1-1
- Update eggcups to 0.9.1
- Require dbus = 0.21

* Wed Jun 16 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 03 2004 Colin Walters <walters@redhat.com> 0.9-1
- Insert my tendrils into this package
- Bump version 0.9, just for fun
- Update to eggcups 0.9
- Remove desktop file link and stuff, we don't need it
- Remove deps on system-config-printer, etc
- Remove upstreamed eggcups patches
- Change description to remove "Nautilus"
- Bump dbus deps to >= 0.20

* Thu May 06 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-26
- Don't poll cupsd; rely on D-BUS for notifications.  This prevents cups
  generating never-ending useless log messages.

* Mon Feb 23 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-25
- eggcups: Don't exit on disconnection from the message bus.

* Fri Feb 20 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-24
- Requires dbus-0.20.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-22
- Eggcups 0.0.5.

* Wed Feb 11 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-21
- Eggcups 0.0.5pre1.

* Thu Jan 29 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-20
- Eggcups 0.0.4.

